package cn.com.infosec.asn1.teletrust;

import cn.com.infosec.asn1.x9.X9ECParameters;
import cn.com.infosec.asn1.x9.X9ECParametersHolder;
import cn.com.infosec.math.ec.ECCurve;
import cn.com.infosec.math.ec.ECPoint;
import cn.com.infosec.util.encoders.Hex;
import java.math.BigInteger;

class TeleTrusTNamedCurves$5 extends X9ECParametersHolder {
   protected X9ECParameters createParameters() {
      ECCurve.Fp var3;
      ECCurve.Fp var10000 = var3 = new ECCurve.Fp;
      BigInteger var10001 = new BigInteger("D7C134AA264366862A18302575D1D787B09F075797DA89F57EC8C0FF", 16);
      BigInteger var1;
      var1 = new BigInteger.<init>("68A5E62CA9CE6C1C299803A6C1530B514E182AD8B0042A59CAD29F43", 16);
      BigInteger var2;
      var2 = new BigInteger.<init>("2580F63CCFE44138870713B1A92369E33E2135D266DBB372386C400B", 16);
      var10000.<init>(var10001, var1, var2);
      ECCurve.Fp var10002 = var3;
      ECPoint var4 = var3.decodePoint(Hex.decode("040D9029AD2C7E5CF4340823B2A87DC68C9E4CE3174C1E6EFDEE12C07D58AA56F772C0726F24C6B89E4ECDAC24354B9E99CAA3F6D3761402CD"));
      var1 = new BigInteger.<init>("D7C134AA264366862A18302575D0FB98D116BC4B6DDEBCA3A5A7939F", 16);
      var2 = new BigInteger.<init>("01", 16);
      return new X9ECParameters(var10002, var4, var1, var2);
   }
}
